
Redmine - Defect #23198

Group by Category does not group across projects

2016-06-29 16:30 - @ go2null

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Example:

I have a category called "Documentation" in two different projects.

I go to 'Projects and choose View all issues

Then I expand Options and select Group results by Category.

There are two grouping for Documentation, one per project.

It appears that the grouping is done by category_id, not category.name.

Related issues:

Related to Redmine - Feature #8192: Make a global category filter available f... New 2011-04-19

Related to Redmine - Defect #26023: Category filter only shows categories of ... New

History

#1 - 2016-07-04 06:58 - Toshi MARUYAMA

- Category changed from Issues to Issues filter

#2 - 2016-07-04 07:06 - Toshi MARUYAMA

Because category depends on project.

#3 - 2016-07-04 07:08 - Toshi MARUYAMA

- Related to Feature #8192: Make a global category filter available from issues list at All Issues level added

#4 - 2017-04-14 23:41 - James Stewart

- File incorrect_subtotals_by_category.png added

+1

Also, I don't see it referenced anywhere in another open issue but the subtotals next to each grouping don't match the number of issues in the group

in many/most cases.  See attachment.

#5 - 2017-06-21 07:25 - Toshi MARUYAMA

- Related to Defect #26023: Category filter only shows categories of current project added

Files

incorrect_subtotals_by_category.png 49.4 KB 2017-04-14 James Stewart

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

www.redmine.org/projects
www.redmine.org/issues
http://www.tcpdf.org

